## gnome-shell-extension-ubuntu-dock 0.7

=== Makefile ===
# Basic Makefile

UUID = ubuntu-dock@ubuntu.com
BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js launcherAPI.js windowPreview.js intellihide.js theming.js utils.js Settings.ui
EXTRA_MEDIA = logo.svg
TOLOCALIZE =  appIcons.js
MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = ubuntu-dock@ubuntu.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled

extension: ./schemas/gschemas.compiled $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dashtodock.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dashtodock.pot; \
	done;

./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext -k --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext -k --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	mkdir -p _build/media
	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.7) artful; urgency=medium

  * Cherry-pick 2 upstream fixes:
    - Maximized windows get resized when returning from screensaver
      (LP: #1719409)
    - Mouse scrollwheel switches workspaces when mouse against the left
      edge of screen (LP: #1719706)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 03 Oct 2017 10:30:10 +0200

gnome-shell-extension-ubuntu-dock (0.6) artful; urgency=medium

  * Badges and progress bar on dock. Thanks Andrea (LP: #1713712)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 25 Sep 2017 14:09:30 -0400

gnome-shell-extension-ubuntu-dock (0.5) artful; urgency=medium

  [ Didier Roche ]
  * Cherry-pick dynamic and adaptive transparency feature to look and behave
    better with GNOME Shell 3.26. We only enable adaptive transparency.
    (LP: #1717509).
  * Rationalize some keyboard and key + mouse shortcuts:
    - Click is focus or showing up window previews. Same than Super + number
      (was already the default)
    - Shift + click launch a new instance. Same than Super + Shift + number
    - Middle click launch a new instance as well. This is to be consistent
      when middle clicking a link in a web browser opening a new tab.
    - Shift + middle click minimize the last focused window from the selected
      application.
  * Cherry-pick some fixes from dash to dock branch (without taking the other
    new features):
    - Hotkeys: remove keypad hotkeys
    - Define externally accessible classes and constants with 'var'
  * Fix uninitialized value for dock disabled by default
    (LP: #1712698, #1714219)
  * updated translations
  * Remove prefs.js as deleted from to localize list
  * Add Vcs-Git reference

  [ Sebastien Bacher ]
  * debian/control, debian/rules:
    - use dh_translations, update the template during the build

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 20 Sep 2017 08:01:22 +0200

gnome-shell-extension-ubuntu-dock (0.4) artful; urgency=medium

  * Switch click-action to previews multiple window instances by default.
    This was discussed and acked in the Fit and Finish sprint.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 31 Aug 2017 11:50:47 +0200

gnome-shell-extension-ubuntu-dock (0.3) artful; urgency=medium

  * Rebase on latest dash to dock master to bring GNOME Shell 3.26 support.
    Thanks Jeremy, Fran and Michele for the warning!
  * debian/copyright: add Michele's name (Gaio).

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 21 Aug 2017 09:49:35 +0200

gnome-shell-extension-ubuntu-dock (0.2) artful; urgency=medium

  * Add Replaces temporarly against gnome-shell-extension-dashtodock package
    which ships the same schema on purpose. This unblock users for the week-end
    until we decide on the best strategy to keep the schema synced and not
    diverge (should we conflicts and let people prefers installing dash to dock
    from the online extensions website local to their users, not being affected
    by our overrides… or have a separate binary package, common to both, and
    thus diverge the dash to dock package from debian?)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 18 Aug 2017 15:47:30 +0200

gnome-shell-extension-ubuntu-dock (0.1) artful; urgency=medium

  * Initial release of ubuntu tweaked Dash To Dock extension.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 09 Aug 2017 09:47:49 +0200

=== debian/control ===
Source: gnome-shell-extension-ubuntu-dock
Section: gnome
Priority: optional
Maintainer: Didier Roche <didrocks@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               libglib2.0-bin,
Standards-Version: 4.0.0
Vcs-Git: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock

Package: gnome-shell-extension-ubuntu-dock
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
Replaces: gnome-shell-extension-dashtodock,
Description: Ubuntu Dock for GNOME Shell
 A dock for the Gnome Shell, default Ubuntu experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with translations

override_dh_install:
	dh_install --fail-missing
	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING

override_dh_translations:
	make ./po/dashtodock.pot
	dh_translations

## gnome-shell-extension-ubuntu-dock 0.7.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.7.1) artful; urgency=medium

  * Fix Ubuntu dock won't start after Dash to dock uninstalled (LP: #1726935)
  * Cherry-pick couple of upstream Dash to Dock fixes: (LP: #1727242)
    - warning fix with latest mozjs.
    - expose the dash to dock main object for other extensions to pick it up.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 25 Oct 2017 10:51:28 +0200

## gnome-shell-extension-ubuntu-dock 0.9.1

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js launcherAPI.js windowPreview.js intellihide.js theming.js utils.js Settings.ui
-EXTRA_MEDIA = logo.svg
-TOLOCALIZE =  appIcons.js
+EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
+TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLTYPE = local

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.9.1) bionic; urgency=medium

  * Rebased against latest dash to dock master with bug fixes:
    - fix GJS warnings
    - appIconIndicators: fix backLight for workspace/monitor isolation
    - theming: update panel solid style on showing the overview
    - translation updates

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2018 09:22:53 +0200

gnome-shell-extension-ubuntu-dock (0.9) bionic; urgency=medium

  * Rebase on latest master.
  * Disable "parameters" context menu on appIcon right click
  * schemas/10_ubuntu-dock.gschema.override:
    Adapt dot overrides to latest master, upstream changed dots
    gsettings parameters, adapt our default.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 03 Jan 2018 10:59:16 +0100

gnome-shell-extension-ubuntu-dock (0.8.1) bionic; urgency=medium

  * Readd dynamic transparent override lost during rebase (LP: #1730489)

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 07 Nov 2017 09:32:22 +0100

gnome-shell-extension-ubuntu-dock (0.8) bionic; urgency=medium

  * Sync with latest dash to dock upstream, bringing glossy and other small
    upstream features.
  * Remove now prefs.js at package install time to minimize upstream diff.
  * Update Standards-Version to latest.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 06 Nov 2017 13:59:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 10),
                dh-translations,
                libglib2.0-bin,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 override_dh_install:
 	dh_install --fail-missing
 	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING
+	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/prefs.js
 
 override_dh_translations:
 	make ./po/dashtodock.pot

## gnome-shell-extension-ubuntu-dock 0.9.1ubuntu18.04.3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.3) bionic; urgency=medium

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock (LP: #1743976).

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 21 Jan 2019 11:39:02 +0100

gnome-shell-extension-ubuntu-dock (0.9.1ubuntu18.04.1) bionic; urgency=medium

  * Fix crash connecting/disconnecting monitors (LP: #1712661)
  * Fix showApps button label position (LP: #1784920)
  * Update translations, fixed settings typos
  * debian/control:
    - Point Vcs-* flags to the proper locations
  * debian/gbp.conf:
    - set ubuntu branch and tagging schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 02 Aug 2018 21:01:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
-Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-bionic
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-bionic
+Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock-bionic/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all

## gnome-shell-extension-ubuntu-dock 63ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (63ubuntu1) cosmic; urgency=medium

  * Merged with latest master
    - Fix crash connecting/disconnecting monitors (LP: #1712661)
    - showApps button label position (LP: #1784920)
    - Add wrapper to properly run in both gnome-shell 3.28 and 3.29.90
    - Update translations, fixed settings typos
  * Updated versioning to match with extensions.gnome.org
  * debian/gbp.conf:
    - updated branches and tags settings accordingly

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 02 Aug 2018 13:29:47 +0200

## gnome-shell-extension-ubuntu-dock 63ubuntu1.18.10.2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.2) cosmic; urgency=medium

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Jan 2019 22:35:34 +0100

gnome-shell-extension-ubuntu-dock (63ubuntu1.18.10.1) cosmic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control, debian/gbp.conf:
    - update branch references

  [ Andrea Azzarone ]
  * extension: Ensure signal disconnection (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 22 Nov 2018 15:35:25 -0600

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-bionic
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-bionic
-Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock-bionic/README.md
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-cosmic
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-cosmic
+Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all

## gnome-shell-extension-ubuntu-dock 64ubuntu7

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = convenience.js dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (64ubuntu7) disco; urgency=medium

  * debian/rules: Ignore default stylesheet in ubuntu session (LP: #1824591)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 12 Apr 2019 17:03:43 -0500

gnome-shell-extension-ubuntu-dock (64ubuntu6) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * ubuntu-dock.gschema.override: apply settings to ubuntu sessions only
  * ubuntu-dock.gschema.override: set intellihide to true by default
  * ubuntu-dock.gschema.override: set transparency-mode to DEFAULT

  [ Adolfo Jayme Barrientos ]
  * Update Spanish and Portuguese translations

  [ Serdar Sağlam ]
  * Update Turkish translation.

  [ Carlo Lobrano ]
  * LauncherAPI: use CSS to style progress bar color

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Apr 2019 11:33:24 -0500

gnome-shell-extension-ubuntu-dock (64ubuntu5) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * metadata: mark dash-to-dock as working only on 3.31+ versions
  * dash-to-dock: rewrite classes using pure ES6 classes
  * Remove usage of legacy Lang features
  * Drop Convenience library
  * docking: remove support for legacy tray
  * utils: remove DisplayWrapper temporary workaround
  * utils: use ES6 syntax to define _decimalToHex method
  * appIcons: Add Focus or Previews click action
  * theming: fix missing variable definition as per previous commit
  * windowPreview: Use symbolic icon for close button
  * d/schemas/10_ubuntu-dock.gschema.override: set focus-or-previews as default for click
  * debian/gbp.conf: sign tags and use multimaint-merge in dch

  [ Michele Gaio ]
  * Remove all legacyTray code.
  * Fix mixing of es6 class names with St names.
  * AppIconIndicators: fix invalid dominant css color for certain icons.
  * Remove the Adaptive transparency mode.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 04 Mar 2019 18:02:16 +0100

gnome-shell-extension-ubuntu-dock (64ubuntu4) disco; urgency=medium

  * Re-upload to disco, with a dependency on gnome-shell versions that this
    extension is declared to work on in its metadata.json:
    - >= 3.31
    - << 3.33

 -- Iain Lane <iain@orangesquash.org.uk>  Sun, 24 Feb 2019 20:19:55 +0000

gnome-shell-extension-ubuntu-dock (64ubuntu3) disco; urgency=medium

  [ Andrea Azzarone ]
  * theming: Ensure _trackingWindows contains valid windows (#868)

  [ Serdar Sağlam ]
  * Update tr.po

  [ Rúben Lopes ]
  * Update Portuguese translation (#878)

  [ Michele ]
  * Fix for border radius with adaptive/dynamic opacity.

  [ Marco Trevisan (Treviño) ]
  * metadata: mark dash-to-dock as working only on 3.31+ versions
  * dash-to-dock: rewrite classes using pure ES6 classes
  * Remove usage of legacy Lang features
  * Drop Convenience library
  * docking: remove support for legacy tray
  * utils: remove DisplayWrapper temporary workaround

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 21 Feb 2019 16:31:00 +0100

gnome-shell-extension-ubuntu-dock (64ubuntu2) disco; urgency=medium

  * theming: Ensure _trackingWindows contains valid windows. (LP: #1769383)

 -- Andrea Azzarone <andrea.azzarone@canonical.com>  Tue, 15 Jan 2019 15:47:54 +0000

gnome-shell-extension-ubuntu-dock (64ubuntu1) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release: 64
  * dash, docking: remove Shell.GenericContainer.

  [ Adolfo Jayme Barrientos ]
  * Update Spanish translation.

  [ franglais125 ]
  * Settings.ui: Fix GtkEntry property to make the shortcut editable.

  [ Michele ]
  * Add Gnome Shell 3.30 support.
  * Bump version (v64).

  [ vantu5z ]
  * Update Russian translation.

  [ Andrea Azzarone ]
  * docking: Fix leaking signal connection

  [ Michele Gaio ]
  * Update Readme with official extension badge.

  [ Michele ]
  * Add a .default class to the appiconindicators.
  * Make window previews order stable in the dedicated popup (LP: #1809129).
  * Recreate windows preview whenever the popup is open.

  [ Daniel van Vugt ]
  * Avoid repainting an unchanging dock.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 19 Dec 2018 10:06:26 -0500

gnome-shell-extension-ubuntu-dock (63ubuntu2) disco; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control:
    - Point Vcs-Git and Vcs-Browser to proper locations
  * dash, docking: remove Shell.GenericContainer

  [ Andrea Azzarone ]
  * docking: Fix leaking signal connection
  * extension: Ensure that ubuntu-dock will not re-enable itself during
    lockscreen if dash-to-dock is installed and enabled too. (LP: #1769383)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Nov 2018 12:28:28 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-cosmic
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-cosmic
-Homepage: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: ${shlibs:Depends},
+Depends: gnome-shell (<< 3.33),
+         gnome-shell (>= 3.31),
          ${misc:Depends},
+         ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,
 Description: Ubuntu Dock for GNOME Shell
  A dock for the Gnome Shell, default Ubuntu experience.

## gnome-shell-extension-ubuntu-dock 67ubuntu19.10.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (67ubuntu19.10.1) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * utils: Use GObject.NotImplementedError for such errors
  * utils: Allow to pass flags to SignalsHandler's
  * locations: Handle Trash Errors
  * locations: Ensure volume monitor is destroyed on destruction
  * dash: Destroy Removables and Trash if disabled
  * DockManager: Keep a fm1Client reference and destroy it when unneeded
  * docking: Use CONNNECT_AFTER for mounts changes in docked dash
  * dash: Remove the show label timeout if actor got destroyed
  * windowPreviewMenuItem: Disconnect to signals on destroy
  * cleanup: Replace Mainloop functions with GLib ones
  * DashSlideContainer: Inherit from St.Bin instead of widget
  * MyAppIcon: Inherit from Dash.DashIcon (LP: #1846477, #1847102)
  * debian/control: Depend on gnome-shell 3.34.0

  [ Michele Gaio ]
  * Fix a regression due to variable renaming.
  * New upstream release (v67).

  [ Twille ]
  * add missing translation

  [ Philip Langdale ]
  * dash: Add Trash Icon
  * dash: Add Removable drive/device icons
  * prefs: Add prefs to toggle showing Trash and Mounted Volumes
  * appIcons: Implement window tracking for removable devices and trash
  * fileManager1API: Deduplicate window with related locations in tabs
  * locations: Fix a remaining use of `nautilus` vs `gio open`

  [ sicklylife.jp ]
  * Update Japanese translation.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 09 Oct 2019 17:30:41 +0200

gnome-shell-extension-ubuntu-dock (66ubuntu19.10.2) eoan; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * windowPreview: Use the window actor as Clone source (LP: #1843520)
  * appIcons: Don't warn if variable is undefined
  * appIcons: Enable scroll handler if enabled on construction
  * docking: Don't warn if variable is undefined
  * ubuntu-gschema.override: Enable fixed transparency with opacity at 70%

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2019 14:28:09 +0200

gnome-shell-extension-ubuntu-dock (66ubuntu19.10.1) eoan; urgency=medium

  [ Adolfo Jayme Barrientos ]
  * Update Spanish and Portuguese translations

  [ Serdar Sağlam ]
  * Update Turkish translation.

  [ Michele Gaio ]
  * Bump version (v66).
  * Fix regression with transparencey settings UI.

  [ Carlo Lobrano ]
  * LauncherAPI: use CSS to style progress bar color

  [ Joonas Henriksson ]
  * Don't reset border-radius for shrinked dash

  [ Philip Langdale ]
  * dash: Add Trash Icon
  * dash: Add Removable drive/device icons
  * prefs: Add prefs to toggle showing Trash and Mounted Volumes
  * appIcons: Implement window tracking for removable devices and trash
  * fileManager1API: Deduplicate window with related locations in tabs

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * WindowPreviewMenuItem: Inherit from GObject (LP: #1835706)
  * Animations: Convert shell durations in seconds (LP: #1835706)
  * appIcons: Show the ShowAppIcon by default
  * metadata: Bump shell version to 3.34 (LP: #1835706)
  * cleanup: Use inheritance for Actor classes instead of composition
  * dash: Inherit DashItemContainer instead of adding methods
  * appIcons: Pass icon actor to PopupMenuManager (LP: #1835706)
  * docking: Don't use actor parameter for grid
  * ShowAppsIcons: Inherit from Dash.ShowAppsIcon
  * appIcons: Define re-used AppIcon methods as class methods
  * Docking: Use the DockManager as a singleton and keep settings reference there
  * DashSlideContainer: Use native GObject properties
  * general: Use native clutter animations instead of Tweener
  * extension: Use new Shell's ExtensionManager API (LP: #1835706)
  * locations: Handle Trash Errors
  * ubuntu: Disable trash in Ubuntu
  * locations: Ensure volume monitor is destroyed on destruction
  * dash: Destroy Removables and Trash if disabled
  * DockManager: Keep a fm1Client reference and destroy it when unneeded
  * debian/control: Bump dependency to gnome-shell 3.33

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 20 Aug 2019 12:52:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.33),
-         gnome-shell (>= 3.31),
+Depends: gnome-shell (<< 3.35),
+         gnome-shell (>= 3.34.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,

## gnome-shell-extension-ubuntu-dock 67ubuntu20.04.2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (67ubuntu20.04.2) focal; urgency=medium

  * general: Use Clutter.ActorAlign to set alignments
  * docking: Ensure that all the slider children are properly centered
  * dash: Properly respect RTL layout, applying the right box alignment
  * dash, docking: Don't use the _delegate pattern
  * dash: Reuse as much as possible upstream code
  * appIconIndicators: Make the count badge text size relative to icon size

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Feb 2020 23:34:18 +0100

gnome-shell-extension-ubuntu-dock (67ubuntu20.04.1) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * general: Update to gnome-shell 3.36 code, with more actor inheritance
  * metadata: Set extension compatible with shell 3.36 only
  * utils: Use more ES6-compliant code to override calls
  * windowPreview: Only hide the close button if no entry child has pointer
  * appIcons, windowPreview: Use vfunc instead of signals
  * docking: Delay hide requests if we're currently showing
  * debian/control: Bump dependency on gnome-shell 3.36

  [ pyroxar ]
  * Update polish translation

  [ 賴家亨 ]
  * Update Tradition Chinese
  * Correct one translation.

  [ Heimen Stoffels ]
  * Updated Dutch translation

  [ Serdar Sağlam ]
  * Turkish translate update

  [ Kiyotaka Nishibori ]
  * fixed a typo in a translatable string.

  [ Michele Gaio ]
  * Amend po files accordingly.
  * Fix broken po files (regression).
  * Fix regression with border radius with built-in theme.
  * Fix mouse trapped due to barrier set up with dock shown.

  [ franglais125 ]
  * Fix regression with _showOverlay hotkeys.
  * Unity7 backlight: add toggle option for glossy effect.

  [ Sergio Costas ]
  * docking.js: fix warning when using wheel

  [ Muntazar ]
  * Fixed a typo

  [ Philip Langdale ]
  * locations: Add missing xdtduri property to Volume icons
  * locations: Filter out network volume locations

  [ mars ]
  * update Simplified Chinese translation
  * add translation for locations.js

  [ Sabri Ünal ]
  * Fix unnecessary new line
  * Improve Turkish translation

  [ vantu5z ]
  * update Russian translation

  [ VeryLoudMonstercat ]
  * Fix border radius for built-in theme

  [ Felipe Marinho ]
  * add support to workspace-grid extension
  * pass the correct index to workspaceSwitcher

  [ Julien Humbert ]
  * Update French translation

  [ Joonas Henriksson ]
  * Update AppIconMenu when window-previews are disabled

  [ Florian Müllner ]
  * docking: Handle no-overview case

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 25 Feb 2020 03:08:41 +0100

## gnome-shell-extension-ubuntu-dock 67ubuntu20.04.5

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js launcherAPI.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
-TOLOCALIZE =  prefs.js appIcons.js
+TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)
 ifeq ($(strip $(DESTDIR)),)
 	INSTALLTYPE = local

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (67ubuntu20.04.5) focal; urgency=medium

  [ Michele Gaio ]
  * Fix regression (wrong parent method call).
  * Fix regression (wrong sign when computing position). (LP: #1869571)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Apr 2020 15:36:21 +0200

gnome-shell-extension-ubuntu-dock (67ubuntu20.04.4) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIcon: Don't show the ShowAppsIcon popup in ubuntu-dock (LP: #1869635)
  * dash: Fix icons DnD when in horizontal mode and when the icons are using
    a scrolled view (LP: #1867763, #1867613)
  * stylesheet: Define width for top/bottom drop placeholder
  * fixed various JS warnings and errors

  [ jesusignacio ]
  * Updated ES translation: show mounted devices + show trash icon

  [ mars ]
  * Update Simplified Chinese translation

  [ Pavel Dvořák ]
  * Update cs.po

  [ Robert Mader ]
  * Use new convenience function to open settings

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 07:48:51 +0200

gnome-shell-extension-ubuntu-dock (67ubuntu20.04.3) focal; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * docking: Don't use non-existent Utils.DisplayWrapper.getWorkspaceManager()
  * dash: Use clutter alignment to ensure we properly arrange the dash
  * metadata: Set extension compatible with shell 3.36 only
  * dash: Sync some more to the upstream cleanups
  * docking: Properly replace default dash in all modes (LP: #1795703,
    LP: #1865865)
  * docking: Delay hide requests if we're currently showing
  * docking: Don't sync overview's iconSize anymore
  * docking: Reset old dash changes if something changes it (LP: #1795703)
  * docking: Cleanup the docks destruction code
  * docking: Use parent vfunc results to get slider container sizes
  * docking: Add mainDock property to DockManager and use it
  * docking: Don't pass allDocks to every child
  * docking: Ignore key-repeat
  * fileManager1API: Use a cancellable to stop proxy creation on destruction
  * dash: Cleanup preferred width/height vfuncs reusing upstream code
  * dash: Get content box from the themeNode
  * dash: Some code cleanups to match Upstream code better
  * appIcons: Redirect events from the showAppIcon toggleButton to the parent
  * general: Don't use Gtk enum definitions for St widgets
  * docking: Apply the height/width dash constraint after adding to main uiGroup
  * docking: Delay toggling to group multiple requests
  * docking: Consider theming when computing the sliderContainer space
  * docking: Reimplement Clutter.BindConstraint to bind to Maximum size only
  * docking: Replace the dashSpacer instance in default controls
  * docking: Make sure we don't send the overview offscreen in extended mode
    (LP: #1834967)
  * launcherAPI: Actually keep track of the unity bus ID and replace it
    (LP: #1756837)

  [ Michele Gaio ]
  * Fix bug with xscreensaver.

  [ Jordan Christiansen ]
  * Update the screenshot to Gnome 3.34

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Mar 2020 03:22:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.35),
-         gnome-shell (>= 3.34.0),
+Depends: gnome-shell (<< 3.37),
+         gnome-shell (>= 3.35.90),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	dh_install --fail-missing
 	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING
 	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/prefs.js
+	touch $(shell realpath debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com)/ubuntu.css
 
 override_dh_translations:
 	make ./po/dashtodock.pot

## gnome-shell-extension-ubuntu-dock 68ubuntu1~20.04.1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (68ubuntu1~20.04.1) focal; urgency=medium

  * No contents change upload to focal
  * debian: Update control and gbp branch references to focal

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 23:06:01 +0200

gnome-shell-extension-ubuntu-dock (68ubuntu1) groovy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream stable release

  [ Michele Gaio ]
  * Get dash max size from the container and drop the
    bindcontraint machinery (LP: #1870847)
  * Remove padding the dock ends in panel mode (LP: #1873321)

  [ Philip Langdale ]
  * locations: Handle emblemed mount icons

  [ ibaios ]
  * Added Basque localization.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 07 May 2020 23:02:27 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-focal
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-focal
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock

## gnome-shell-extension-ubuntu-dock 68ubuntu20.10.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 UUID = ubuntu-dock@ubuntu.com
 BASE_MODULES = extension.js stylesheet.css metadata.json COPYING README.md
-EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js Settings.ui
+EXTRA_MODULES = dash.js docking.js appIcons.js appIconIndicators.js fileManager1API.js launcherAPI.js locations.js windowPreview.js intellihide.js prefs.js theming.js utils.js dbusmenuUtils.js Settings.ui
 EXTRA_MEDIA = logo.svg glossy.svg highlight_stacked_bg.svg highlight_stacked_bg_h.svg
 TOLOCALIZE =  prefs.js appIcons.js locations.js
 MSGSRC = $(wildcard po/*.po)

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (68ubuntu20.10.1) groovy; urgency=medium

  [ Michele Gaio ]
  * Remove padding the dock ends in panel mode.

  [ Philip Langdale ]
  * locations: Handle emblemed mount icons

  [ ibaios ]
  * Added Basque localization.

  [ AsciiWolf ]
  * Update Czech translation.
  * appIcons: Fix translatable strings
  * Update Czech translation.

  [ sorin ]
  * Fix autohide glitches (#1188)

  [ Ryan Hendrickson ]
  * appIconIndicators: Rewrite Unity integration
  * appIcons: Support Unity quicklists
  * appIconIndicators: Support urgent property

  [ Pedro Paulo ]
  * Fixes typo on org.gnome.shell.extensions.dash-to-dock

  [ sicklylife.jp ]
  * Update Japanese translation.
  * Update Japanese translation.

  [ Yi-Jyun Pan ]
  * i18n: zh_TW: update and improve translation

  [ Luis López ]
  * Fixes #1265 - Showing trash icon causes system lock when moving items
    to trash or empting it.

  [ aimproxy ]
  * Remove allocation-changed signal

  [ UA27 ]
  * Fix #1232

  [ Morgan Antonsson ]
  * Update Swedish translation

  [ Marco Trevisan (Treviño) ]
  * debian/control: Bump dependency on newer gnome-shell
  * appIcons: Set dependency on DBusmenu dynamic
  * docking: Set the dash as the IconAnimator timeline actor
  * docking: Replace anchor point with clutter translations
  * docking: Disable the overview misplacement workaround
  * docking: Make the overview visibleView code working in 3.38
  * dash, docking: Update allocation method calls signature to upstream
  * metadata: Add 3.38 to supported versions

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 11 Sep 2020 01:47:20 +0200

## gnome-shell-extension-ubuntu-dock 69ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (69ubuntu1) hirsute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIcons: Set dependency on DBusmenu dynamic
  * docking: Set the dash as the IconAnimator timeline actor
  * Makefile: Include dbusmenuUtils.js
  * docking: Replace anchor point with clutter translations
  * docking: Disable the overview misplacement workaround
  * docking: Make the overview visibleView code working in 3.38
  * dash, docking: Update allocation method calls signature to upstream
  * DockManager: Make allocation code to work in both 3.38 and 3.36
  * metadata: Add 3.38 to supported versions

  [ Mike DePaulo ]
  * Update to latest wording of the GPLv2 license

  [ UA27 ]
  * Fix autohide glitches explainations

  [ Недко Николов ]
  * Fix getWindows for a location in the dock
  * Make sure that location doesn't end with a '/'

  [ Michele Gaio ]
  * Bump version (v69).
  * Revert "Fix #1232".
  * Fix #1232 again.

  [ Jan Němec ]
  * windowPreviews now scale properly
  * windowPreviews are now properly Y-centered on horizontal docks

  [ l3nn4rt ]
  * appIcons: Add 'Focus, minimize or show previews'

  [ Michael Suhodolov ]
  * Fix flickering on show-apps (LP: #11919972)

  [ Ryan Hendrickson ]
  * Do not animate disposed icons (LP: #1905519)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 08:01:34 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
                dh-translations,
                libglib2.0-bin,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-focal
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-focal
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.37),
+Depends: gnome-shell (<< 3.39),
          gnome-shell (>= 3.35.90),
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-shell-extension-ubuntu-dock 70~ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (70~ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * docking: Generalize the startup animation
    - Applied addition to upstream PR #1512 (LP: #1942843).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 07 Sep 2021 12:18:14 +0200

gnome-shell-extension-ubuntu-dock (70~ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * extension: Disable starting in the overview
    - We don't need it when the GNOME dash is being replaced.
    - Applied upstream PR #1512 (LP: #1940925).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 26 Aug 2021 20:04:01 +0200

gnome-shell-extension-ubuntu-dock (70~ubuntu1) impish; urgency=medium

  [ Philipp Kitzberger ]
  * Add new setting: preview size scale

  [ Evan Welsh ]
  * Initial port to GNOME 40.
  * theming: Fix various theming issues
  * Fix showing app icon at the start
  * Use Graphene for indicator rendering.
  * Fix show apps button toggling.
  * Start fixing panel mode...
  * Fix drag and drop and panel mode.
  * Fix workspace scrolling.
  * Fix icon scaling and size changes.
  * Cleanup preferences.
  * More theming and style fixes
  * Convert stylesheet to SCSS.
  * Improve overview animation and styling.
  * Fix regression in panel mode padding.
  * Avoid errors if already tracking the dock
  * Make sassc the default sass compiler
  * Initial fixes for horizontal scrolling.
  * Initial fix for dynamic icon sizing...
  * dash: Fix separator in vertical mode.

  [ Marco Trevisan (Treviño) ]
  * New upstream pre-release (LP: #1912211, LP: #1903582, LP: #1847650)
  * prefs: Port code for the initial size request
  * dash: Do not try to use an invalid value of dragPlaceholderPos
  * cleanup: Remove the unused InjectionsHandler instances
  * utils: Don't store the InjectedFunction on InjectionsHandler
  * utils: Modernize BasicHandler making it possible to use non-array arguments
  * cleanup: Connect to signals with non-array arguments when possible
  * BasicHandler: Support auto-destruction when using a parent Object
  * docking: Avoid recursion on _prepareMainDash()
  * utils: Add PropertyInjectionsHandler to manage property overrides
  * cleanup: Use PropertyInjectionsHandler
  * Utils: Pass the original function to InjectionsHandler callback
  * docking: Replace DashSpacer by overriding ControlsManagerLayout logic
  * docking: Always show the thumbnails box in vertical mode
  * Utils: Add class to inject virtual functions
  * docking: Replace WorkspaceBackground allocation code taking care of the dock
  * docking: Also ignore allocation requests on the original dash
  * Settings: Fix dock size scale selector
  * prefs: Disable monitor selection combo when multi-monitor is enabled
  * theming: Properly parse color from string and set its alpha value
  * theming: Do not try to set the background style with no style
  * prefs: Support running as a standalone application
  * prefs: Use Mutter DBus API to manage per-monitors configuration
  * docking: Properly handle top-positioned dock
  * docking: Use implicit properties features for slide-x
  * docking: Adapt dash(es) startup animation effect to our positioning
  * docking: Do not show the dash before startup animation has completed
  * docking: Use workarea-based allocation in ControlsManagerLayout and
    WorkspaceBackground
  * docking: Adjust overview with vertical auto-hide dock
  * docking: Adjust the AllWorkspaceBox size in secondary monitors
  * docking: Keep cached settings values used during allocation
  * appIcons: Move logic for computing the focused / running state here
  * dash: Fix ensureActorVisibleInScrollView as per upstream changes
  * cleanup: Modernize the code ensureActorVisibleInScrollView a bit
  * docking: Add back support to disable animation on show-applications
  * docking: Add and use property to access to upstream overviewControls
  * dash: Cleanup the dash-separator styling, using a single scss definition
  * dash: Include paddings and separator to compute available space
  * prefs: Add back support for changing the overlay shortcut
  * docking: Disconnect from after-paint signal if we destroy earlier
  * theming: Never try to access to members when destroyed
  * theming: Use signals handler auto-destruction
  * theming: Never access to dash private member, move the logic in the dock
  * docking: Define a global GtkIconTheme bound to the St's default
  * fileManager1API: Drop XUbuntuOpenLocationsXids support
  * locations: use org.Nautilus.FileOperations2 API to empty the trash
  * dash: Optionally keep the focused application always visible in the dash
  * appIcons: Use public visibile getter for Overview
  * appIcons: Move urgency logic to the AppIcon
  * dash: Ensure urgent applications are visible
  * appIcons: Mark urgent apps whose windows are urgent or demands attention
  * appIcons: Cleanup window-entered callback code
  * dash: Add property to require visibility
  * dash: Require visibility when an appicon is urgent
  * locations: Use fully async and cancellable async operations
  * locations: Do not use template literals as they may break translations
  * docking: Move ownership of Removable locations and Trash to DockManager
  * appIcons: Manage app-urgency per windows
  * appIcons: Give urgent windows more priority on activation
  * dash: Do not potentially duplicate location icons and really remove them
  * docking: Do not pass LauncherRemoteModel around, but get from DockManager
  * appIcons: Split Dock icons by type using sub-classing
  * cleanup: Use "Dock" prefix for our implementations
  * locations: Patch Shell.App to make location apps to behave as normal apps
  * locations: Disable ability for opening new windows in location apps
  * locations: Update app-system status on app state changed
  * locations: Initial support for full location apps isolation from filemanager
  * locations: Keep app focus state cached and notify tracker on changes


=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper (>= 10),
                dh-translations,
                libglib2.0-bin,
+               sassc,
 Standards-Version: 4.1.1
 Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
 Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
@@ -12,8 +13,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 3.39),
-         gnome-shell (>= 3.35.90),
+Depends: gnome-shell (<< 41),
+         gnome-shell (>= 40),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,
